#!/bin/bash

set -e

function ToLower()
{
   declare input=$1
   declare output=($(echo "${input}" | tr 'A-Z' 'a-z'))
   eval $2=${output}
}

function Replace()
{
  declare input=$1
  declare sourceExpr=$2
  declare targetExpr=$3
  declare output=${input//${sourceExpr}/${targetExpr}}
  eval $4=${output}
}

function DynamicVariableValueOf()
{
  declare prefix=$1
  declare suffix=$2
  eval "output=\$$prefix$suffix"
  eval $3=${output}
}